🗝
summary refs log tree commit diff
path: root/go.sh
diff options
context:
space:
mode:
Diffstat (limited to 'go.sh')
-rwxr-xr-xgo.sh13
1 files changed, 13 insertions, 0 deletions
diff --git a/go.sh b/go.sh
new file mode 100755
index 0000000..39f3779
--- /dev/null
+++ b/go.sh
@@ -0,0 +1,13 @@
+#!/bin/sh
+
+set -ex
+
+test -f graph.db && rm graph.db
+test -f filtered.list && rm filtered.list
+test -d out && rm -r out
+python3 1_graph.py conf_$1.py
+python3 2_filter.py conf_$1.py
+# python3 3_archive.py conf_$1.py
+# echo uploading to memorial
+# rsync -r -e 'ssh -p23' --progress out/ memorial:fediverse/$1/
+# python3 4_delete.py conf_$1.py